Name:           darkserver
Version:        0.1
Release:        2%{?dist}
Summary:        GNU build-id service
Group:          Applications/Publishing
License:        GPLv2+
URL:            https://github.com/kushaldas/darkserver
Source0:        http://kushal.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-setuptools python-devel

Requires:       Django
Requires:       koji

Requires:       httpd
Requires:       mod_wsgi


%description
Service to provide details of GNU build-id. This is a Django based web-service
which keeps records of GNU build-ids of various ELF files imported from RPMs
and provide them in JSON format through web.

%prep
%setup -q


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README

%{_sbindir}/darkserver.wsgi
%config(noreplace)     %{_sysconfdir}/%{name}/darkserverweb.conf
%config(noreplace)     %{_sysconfdir}/%{name}/settings*
%config(noreplace)     %{_sysconfdir}/httpd/conf.d/darkserver-httpd.conf
%dir %{python_sitelib}/darkserverweb/
%{python_sitelib}/darkserverweb/*.py*
%{_datadir}/darkserver/createtable.sql
%{_datadir}/darkserver/static/*.*
%{python_sitelib}/darkserver*.egg-info

%package import
Requires: elfutils rpmdevtools
Summary: The import command for darkserver
%description  import
The import command for darkserver.
%files -n darkserver-import
%{_bindir}/darkserver-import
%config(noreplace)     %{_sysconfdir}/%{name}/darkserver.conf


%changelog
* Fri Nov 11 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-2
- fixing the spec file better description and other ideas
  from review request bz#752771

* Thu Nov 10 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-1
- initial release
